<?php
class cUsuarioprograma{
	
	function insertar($usu_id,$mod_id,$fec){
	$sql = "INSERT INTO tb_usuarioprograma(
	`tb_usuario_id`,
	`tb_modulo_id`,
	`tb_usuarioprograma_fec`
	)
	VALUES (
	'$usu_id','$mod_id','$fec'
	);"; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	}
	
	function modificar_campo($id, $campo, $valor)
    {
        $sql= "UPDATE tb_usuarioprograma SET
		`tb_usuarioprograma_$campo`= '$valor'
		WHERE tb_usuarioprograma_id = '$id' ";
        $oCado = new Cado();
        $rst   = $oCado->ejecute_sql($sql);
        return $rst;
    }
	
	function mostrar_filtro($usu_id)
    {
        $sql= "SELECT * FROM tb_usuarioprograma up
		inner join tb_modulo m on m.tb_modulo_id = up.tb_modulo_id
		WHERE up.tb_usuario_id = '$usu_id' and up.tb_usuarioprograma_xac = '1' ";
        $oCado = new Cado();
        $rst   = $oCado->ejecute_sql($sql);
        return $rst;
    }
	
	function mostrar_uno($usu_id,$mod_id)
    {
        $sql= "SELECT * FROM tb_usuarioprograma up
		WHERE up.tb_usuario_id = '$usu_id' and up.tb_modulo_id = '$mod_id' and up.tb_usuarioprograma_xac = '1' ";
        $oCado = new Cado();
        $rst   = $oCado->ejecute_sql($sql);
        return $rst;
    }
	
	
	function eliminarPrograma($usu_id,$mod_id)
    {
        $sql= "delete from tb_usuarioprograma WHERE tb_usuario_id = '$usu_id' and tb_modulo_id = '$mod_id' ";
        $oCado = new Cado();
        $rst   = $oCado->ejecute_sql($sql);
        return $rst;
    }
	
	
}
?>